IOSS 2.0

Static Public Member Functions | Private Member Functions | List of all members
Iodw::IOFactory Class Reference

`#include <Iodw_DatabaseIO.h>`

Inheritance diagram for Iodw::IOFactory:
[legend]
Collaboration diagram for Iodw::IOFactory:
[legend]

## Static Public Member Functions
static const IOFactory * | factory ()
Static Public Member Functions inherited from Ioss::IOFactory
static DatabaseIO * | create (const std::string &type, const std::string &filename, DatabaseUsage db_usage, MPI_Comm communicator=MPI_COMM_WORLD, const Ioss::PropertyManager &properties=Ioss::PropertyManager())
| Create an IO database. More...
static int | describe (NameList *names)
| Get the names of database formats known to IOSS. More...
static void | clean ()
| Empty method. More...
static void | show_configuration ()

## Private Member Functions
| IOFactory ()
Ioss::DatabaseIO * | make_IO (const std::string &filename, Ioss::DatabaseUsage db_usage, MPI_Comm communicator, const Ioss::PropertyManager &properties) const

## Additional Inherited Members
Public Member Functions inherited from Ioss::IOFactory
virtual | ~IOFactory ()=default
Protected Member Functions inherited from Ioss::IOFactory
| IOFactory (const std::string &type)
virtual void | show_config () const
Static Protected Member Functions inherited from Ioss::IOFactory
static void | alias (const std::string &base, const std::string &syn)

## Constructor & Destructor Documentation

## ◆ IOFactory()

Iodw::IOFactory::IOFactory | ( |  | ) |
| private

## Member Function Documentation

## ◆ factory()

const IOFactory * Iodw::IOFactory::factory | ( |  | ) |
| static

## ◆ make_IO()

Ioss::DatabaseIO * Iodw::IOFactory::make_IO | ( | const std::string & | filename,
|  | Ioss::DatabaseUsage | db_usage,
|  | MPI_Comm | communicator,
|  | const Ioss::PropertyManager & | properties
| ) |  | const
| privatevirtual

Implements Ioss::IOFactory.

The documentation for this class was generated from the following files:

- src/data_warehouse/Iodw_DatabaseIO.h
- src/data_warehouse/Iodw_DatabaseIO.C